Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 823846 - USB tablet mouse does not work well when migrating guest rhel6.0->rhel6.3 or rhel6.1->rhel6.3
Summary: USB tablet mouse does not work well when migrating guest rhel6.0->rhel6.3 or ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-22 10:08 UTC by Qunfang Zhang
Modified: 2012-07-17 08:58 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-23 19:58:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Qunfang Zhang 2012-05-22 10:08:22 UTC
Description of problem:
Migrate a guest (usb tablet mouse) from a rhel6.0/rhel6.1 host to rhel6.3 host, after migration, usb mouse does not work, it's very like Bug 741878 but that one only fixed migrate from 6.2<->6.2.  

Version-Release number of selected component (if applicable):
kernel-2.6.32-272.el6.x86_64
qemu-kvm-0.12.1.2-2.294.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot a guest with usb tablet mouse on rhel6.0 or 6.1 host
/usr/libexec/qemu-kvm -usb -device usb-tablet,id=input0 -M rhel6.0.0 (or rhel6.1.0 on rhel6.1 host)

2. Boot the guest with listening mode on rhel6.3 host with the same command line and append "-incoming tcp:0:5800"

3. Migrate guest to the dst rhel6.3 host.
  
Actual results:

before migration: 
(qemu) info mice 
* Mouse #1: QEMU USB Tablet
  Mouse #0: QEMU PS/2 Mouse
after migration:
(qemu) info mice 
  Mouse #1: QEMU USB Tablet
* Mouse #0: QEMU PS/2 Mouse

Expected results:
USB mouse should always works.

Additional info:

Comment 1 Gerd Hoffmann 2012-05-23 19:58:07 UTC
usb tablet migration in 6.0 and 6.1 is broken (source doesn't send information needed to restore state on the target).  Some guests can deal with it, reset the tablet and continue to work just fine after migration.  Others don't.

migration from 6.0 to 6.3 is likewise affected as the missing information makes it impossible for the 6.3 target host to correctly restore state.  The bug is on the 6.0 source side and we can't do anything in 6.3 to fix it.


Note You need to log in before you can comment on or make changes to this bug.